yum-oracle Cookbook
===================

The yum-oracle cookbook manages some of the yum repos to operate an Oracle
Linux system. 

Requirements
------------

* Chef 11 or higher
* yum cookbook version 3.0.0 or higher

Attributes
----------

The following attributes are set by default.

Recipes
-------
* default - Walks through node attributes and feeds a yum_resource
  parameters. The following is an example a resource generated by the
  recipe during compilation.
  
```ruby
  yum_repository 'ol6_latest' do
    baseurl 'http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/$basearch/'
    description 'Oracle Linux $releasever Latest ($basearch)'
    enabled true
    gpgcheck true
    gpgkey 'file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle'
  end
```

Usage Example
-------------
To disable the Oracle 6 latest repository through a Role or Environment definition:

```
default_attributes(
  :yum => {
    :ol6_latest => {
      :enabled => {
        false
       }
     }
   }
 )
```

Special Note
------------

Oracle refers to Enterprise Linux 5 as "el5" and Enterprise Linux 6 as "ol6", so be careful.

Bugs
----

* ChefSpec unit tests run but not with real Fauxhai data, because Fauxhai doesn't have data
  for Oracle Linux (yet).
* Not all repositories that might appear on an Oracle Linux system are managed yet by
  this cookbook, because most of them are turned off. Pull requests are accepted to do all
  the work to add them in.

License & Authors
-----------------

- Author:: Julian C. Dunn (<jdunn@getchef.com>)

Based on the ```yum-fedora``` cookbook by:

- Author:: Sean O'Meara (<someara@getchef.com>)

```text
Copyright:: 2014 Chef Software, Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
